ubuntu/+source/apr-util:ubuntu/trusty-proposed

Last commit made on 2013-11-24
Get this branch:
git clone -b ubuntu/trusty-proposed https://git.launchpad.net/ubuntu/+source/apr-util
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/trusty-proposed
Repository:
lp:ubuntu/+source/apr-util

Recent commits

b7fe58d... by Stefan Fritsch on 2013-11-24

Import patches-unapplied version 1.5.3-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 27ef69b15caf48a0f38c11e3382bb5a4cdda944c

New changelog entries:
  * New upstream version.
  * When querying the berkley db version, strip the epoch from the
    version number.

27ef69b... by Stefan Fritsch on 2013-11-06

Import patches-unapplied version 1.5.2-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: dcc3be39b23cbda77afd35d5c772399fd6a29420

New changelog entries:
  * Remove dbd-freetds driver because it has security issues.
  * Switch build system to dh.
  * Bump Standards-Version (no additional changes).
  * Support multi-arch.
  * Adjust dependencies to a multi-arch enabled apr.
  * Speed up build by not searching for lots of berkley db versions that
    are not installed. Closes: #717327

dcc3be3... by Stefan Fritsch on 2013-05-05

Import patches-unapplied version 1.5.2-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 5e1bb0baefd0512d293fb70645132b955206ac85

New changelog entries:
  * New upstream release.
  * Ship find_apu.m4 in libaprutil1-dev. Closes: #699327

5e1bb0b... by Stefan Fritsch on 2012-08-15

Import patches-unapplied version 1.4.1-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 69aa8a0a8e4ff8b5d361d631f98c7a2d0e886c18

New changelog entries:
  * Fix apr_password_validate() to work with sha512-crypt hashes.
    Closes: #684268

69aa8a0... by Stefan Fritsch on 2012-05-20

Import patches-unapplied version 1.4.1-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: e74cd3af0151a8220128c1e2f12aafac86a03657

New changelog entries:
  * Remove obsolete version on binutils dependency. Closes: #666260
  * Re-enable test suite on hurd. Closes: #657043
  * Switch VCS to git
  * Switch to packaging format "3.0 quilt", remove dpatch. Thanks to Jari
    Aalto for the patch. Closes: #664307
  * Update to Standards-Version to 3.9.3 (no changes)
  * Bump to debhelper 9.
  * Remove obsolete workaround for #651147, ldap detection is fixed in 1.4.x
  * Fix lintian warnings
    - use dh_prep
    - omit driver libraries from symbol files
    - add build-arch and build-indep targets

e74cd3a... by Stefan Fritsch on 2012-01-08

Import patches-unapplied version 1.4.1-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 50dd117dd2faa3417709f5583259265094b35565

New changelog entries:
  * New upstream release
  * Build new apr_crypto API (using openssl).
  * Stop repacking the source tarball to remove the MD4/MD5 implementations
    derived from RSA's code. RSA has released a statement that revised the
    conditions of use for this code. Debian uses the code according to the
    conditions from this statement, which is now included in the copyright
    file of the Debian package.

50dd117... by Stefan Fritsch on 2011-12-07

Import patches-unapplied version 1.3.12+dfsg-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: fb4f5129808c3e096aaa0fa72fe0a2c5a7458e59

New changelog entries:
  * Add workaround for ldap detection problem, to fix FTBFS with gcc 4.6.
    Closes: #651147
  * Remove Tollef Fog Heen and Ryan Niebur from uploaders. Thanks for your
    work in the past.

fb4f512... by Stefan Fritsch on 2011-05-22

Import patches-unapplied version 1.3.12+dfsg-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 5d516ed9aec90cfaff4c1a9bbcc1db1bcf3376d0

New changelog entries:
  * Fix unsafe pool usage in apr_thread_pool. This hopefully fixes the
    occasional testreslist failures.

5d516ed... by Stefan Fritsch on 2011-05-21

Import patches-unapplied version 1.3.12+dfsg-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 845a4f5f29b3cfd1e285b011f81d0019957f693e

New changelog entries:
  * New upstream version
  * Make apu-config not output dbm libs by default. Closes: #622081
  * Set DEB_GCC_NO_O3=1 for the benefit of ppc64 on Ubuntu.

845a4f5... by Stefan Fritsch on 2011-04-08

Import patches-unapplied version 1.3.10+dfsg-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: c9916e6fd3163730c3bab6973e58c7acaaaf00de

New changelog entries:
  * Remove libdb4.8-dev dependency in libaprutil1-dev. This allows packages
    build-depending on apr-util1 to use a different version of db than
    apr-util.
  * With the libdb build-dependency decoupled from subversion, we can now
    build-depend on libdb-dev instead of libdb4.8-dev. Users of APU_WANT_DB
    in apu_want.h would have to depend on libdb-dev explicitly, but there
    are none outside of apr-util itself. Closes: #621366
  * Add configure support for libdb 5.1.
  * Bump standards version to 3.9.2 (no changes)
  * Fix some lintian warnings about the short descriptions.